Last Comment Bug 626970 - SeaMonkey Windows builds have been burning since switching to omnijar
: SeaMonkey Windows builds have been burning since switching to omnijar
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Windows Server 2003
: -- blocker (vote)
: seamonkey2.1b2
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on:
Blocks: 588067
  Show dependency treegraph
 
Reported: 2011-01-19 01:37 PST by Philip Chee
Modified: 2012-01-07 07:49 PST (History)
11 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
verified


Attachments
(Av1) Don't try to remove the current directory [Checked in: Comment 6] (1.54 KB, patch)
2011-01-19 04:28 PST, Serge Gautherie (:sgautherie)
kairo: review+
Details | Diff | Splinter Review

Description Philip Chee 2011-01-19 01:37:42 PST
Windows builds are burning:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1295417854.1295428553.19418.gz
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1295417664.1295424646.518.gz

make[6]: Leaving directory
`/e/builds/slave/comm-cen-trunk-w32/build/objdir/suite/app'
make[5]: Leaving directory
`/e/builds/slave/comm-cen-trunk-w32/build/objdir/suite/app'
make[4]: Leaving directory
`/e/builds/slave/comm-cen-trunk-w32/build/objdir/suite'
make[3]: Leaving directory `/e/builds/slave/comm-cen-trunk-w32/build/objdir'
make[2]: Leaving directory `/e/builds/slave/comm-cen-trunk-w32/build/objdir'
rm: cannot remove directory
`/e/builds/slave/comm-cen-trunk-w32/build/objdir/suite/app/../../mozilla/dist/bin/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}': Permission denied
Comment 1 neil@parkwaycc.co.uk 2011-01-19 03:25:21 PST
Interestingly that's $(CLASSIC_EXTENSION_DIR)
Comment 2 Serge Gautherie (:sgautherie) 2011-01-19 04:28:40 PST
Created attachment 505034 [details] [diff] [review]
(Av1) Don't try to remove the current directory
[Checked in: Comment 6]

This should hopefully fix this failure.
I hope there is no need to go back to a specific directory...
Comment 3 Walter Meinl 2011-01-19 04:45:18 PST
(In reply to comment #2)
> Created attachment 505034 [details] [diff] [review]
> (Av1) Don't try to remove the current directory
> 
> This should hopefully fix this failure.
> I hope there is no need to go back to a specific directory...

I experienced the same failure when building Seamonkey on OS/2 .
By coincidence(just had a midair collision when sending my comment)I changed locally my Makefile as you did with your patch  - and it built with OS/2 again, thus your solution probably works on windows as well.

Alternatively one could zip up the files from the directory above
cd $(ABS_DIST)/extensions/; $(ZIP) -r9mX $(dir).xpi $(dir)/*; \
rm -rf $(ABS_DIST)/extensions/$(dir); \
(not tested yet - it might need some escapes that the structure of the zip file doesn't include the $(dir) folder)
Comment 4 Serge Gautherie (:sgautherie) 2011-01-19 04:56:55 PST
(In reply to comment #3)

> locally my Makefile as you did with your patch  - and it built with OS/2 again,

That's good news.
(You could 'feedback+' my patch ;-))

> Alternatively one could zip up the files from the directory above

Yeah, I thought about that too and it would sure have my preference ...

> (not tested yet - it might need some escapes that the structure of the zip file
> doesn't include the $(dir) folder)

... but I was loath to check/test it :-|
Comment 5 Robert Kaiser 2011-01-19 04:58:30 PST
(In reply to comment #3)
> Alternatively one could zip up the files from the directory above
> cd $(ABS_DIST)/extensions/; $(ZIP) -r9mX $(dir).xpi $(dir)/*; \

That doesn't work, as the zip ends up with a wrong structure. But deleting the current directory calls for problems, so the solution in the patch is correct.

Thanks for catching it, with the clobbering not working (bug 626164), I was pretty unsure what are real errors after the omnijar landing and which ones aren't.
Comment 6 Serge Gautherie (:sgautherie) 2011-01-19 05:22:07 PST
Comment on attachment 505034 [details] [diff] [review]
(Av1) Don't try to remove the current directory
[Checked in: Comment 6]

http://hg.mozilla.org/comm-central/rev/e9f62190bdf0
Comment 7 Serge Gautherie (:sgautherie) 2011-01-19 11:33:25 PST
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1295446799.1295460055.16805.gz
WINNT 5.2 comm-central-trunk build on 2011/01/19 06:19:59

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.